# cstdlib File Reference

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define EXIT_FAILURE
- #define EXIT_SUCCESS

## Functions

- void std::abort (void) _GLIBCXX_NORETURN throw ()
- int std::atexit (void(*)()) throw ()
- void std::exit (int) _GLIBCXX_NORETURN throw ()

## Detailed Description

This is a Standard C++ Library file. You should `#include` this file in your programs, rather than any of the *.h implementation files.

This is the C++ version of the Standard C Library header `stdlib.h`, and its contents are (mostly) the same as that header, but are all contained in the namespace `std` (except for names which are defined as macros in C).

Definition in file cstdlib.